FREE(1)

BEZEICHNUNG
free - Anzeige des freien und belegten Speichers

ÜBERSICHT
free [Optionen]

BESCHREIBUNG
free zeigt die Speicherbelegung Ihres Systems an: den freien und belegten physischen Speicher, die Nutzung des Auslagerungsspeichers (swap memory) sowie die vom Kernel genutzten Puffer. Die Spalte »Shared Memory« sollte ignoriert werden. Sie ist veraltet.

OPTIONEN

-b, --bytes
    Zeigt die Speichergröße in Byte an.

-k, --kilo
    Zeigt die Speichergröße in Kilobyte an. Das ist die Voreinstellung.

-m, --mega
    Zeigt die Speichergröße in Megabyte an.

-g, --giga
    Zeigt die Speichergröße in Gigabyte an.

--tera
    Zeigt die Speichergröße in Terabyte an.

-h, --human
    Alle angezeigten Felder werden automatisch auf die kleinste Einheit mit drei Ziffern skaliert. Die Einheiten werden in der Ausgabe angezeigt. Es werden die folgenden Einheiten verwendet.

      B = Byte
      K = Kilobyte
      M = Megabyte
      G = Gigabyte
      T = Terabyte

    Falls die Einheit fehlt und Sie Petabyte an RAM oder Swap haben, wird die Zahl in Terabyte angezeigt und die Spalten sind möglicherweise nicht an den Kopfzeilen ausgerichtet.

-c, --count Anzahl
    Zeigt das Ergebnis Anzahl mal an. Erfordert die Option -s.

-l, --lohi
    Zeigt detailliert die Belegung von »low memory« und »high memory« an.

-o, --old
    Bewirkt die Ausgabe im alten Format. Der einzige Unterschied ist, dass diese Option die Anzeige der »buffer adjusted«-Zeile deaktiviert.

-s, --seconds Sekunden
    Fortlaufende Aktualisierung der Anzeige im Intervall von Sekunden. Sie können für Sekunden eine beliebige Gleitkommazahl angeben. Durch die Nutzung von usleep(3) können die Intervalle bis auf die Mikrosekunde genau festgelegt werden.

--si
    Potenzen von 1000 statt 1024 benutzen.

-t, --total
    Zeigt eine Zeile mit den Spaltensummen an.

--help
    Hilfe ausgeben.

-V, --version
    Versionsinformation anzeigen.

DATEIEN

/proc/meminfo
    Speicherinformationen

SIEHE AUCH
ps(1), slabtop(1), top(1), vmstat(8).

AUTOREN
Geschrieben von Brian Edmonds.

FEHLER BERICHTEN
Please send bug reports to procps@freelists.org

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.